cURL
curl --request POST \
--url https://api.mottostreaming.com/monetization/integrations/v1/cleeng \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"broadcaster_id": "<string>",
"api_key": "<string>",
"is_production": true
}
'import requests
url = "https://api.mottostreaming.com/monetization/integrations/v1/cleeng"
payload = {
"project_id": "<string>",
"broadcaster_id": "<string>",
"api_key": "<string>",
"is_production": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
broadcaster_id: '<string>',
api_key: '<string>',
is_production: true
})
};
fetch('https://api.mottostreaming.com/monetization/integrations/v1/cleeng', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"project_id": "<string>",
"broadcaster_id": "<string>",
"api_key": "<string>",
"is_production": true,
"id": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Cleeng Integration
Create cleeng integration
CreateCleengIntegration
Creates new integration.
POST
/
monetization
/
integrations
/
v1
/
cleeng
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
CleengIntegration
The Motto project to which this integration belongs
The Cleeng broadcaster ID (sometimes called the Cleeng publisher ID)
The Cleeng API key (sometimes called the Cleeng publisher token)
Whether the integration is in production (true) or sandbox (false)
Response
OK
CleengIntegration
Show child attributes
Show child attributes
⌘I

